# syntax=docker/dockerfile:1

FROM python:3.8-slim-buster


# set the working directory in the container
WORKDIR /code

# copy the dependencies file to the working directory
COPY requirements.txt requirements.txt

Expose 5432
Expose 5672
# install dependencies
RUN pip install -r requirements.txt


# copy the content of the local src directory to the working directory
COPY . .
# RUN alembic upgrade head
# command to run on container start
CMD [ "nameko", "run", "--config", "config.yml", "users.service", "--backdoor", "3000" ] 